EmptyRange (groovy 2.4.6 API)
Date: 2016-02-18

Package: groovy.lang

## [Java] Class EmptyRange

- groovy.lang.EmptyRange

- All Implemented Interfaces and Traits:
    Range

      public class EmptyRange
      extends AbstractList

  Constructing Ranges like 0..<0

  Authors:
    Dierk Koenig
    Edwin Tellman

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `protected Comparable` | `at` | The value at which the range originates (may be `null`).

  - ### Constructor Summary

    Constructors
    Constructor and description
    `EmptyRange (Comparable at)` Creates a new EmptyRange.

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `boolean` | `add(Object o)` Always throws `UnsupportedOperationException` for an empty range.
    `boolean` | `addAll(int index, Collection c)` Always throws `UnsupportedOperationException` for an empty range.
    `boolean` | `addAll(Collection c)` Always throws `UnsupportedOperationException` for an empty range.
    `boolean` | `containsWithinBounds(Object o)` Never true for an empty range.
    `Object` | `get(int index)` Always throws `IndexOutOfBoundsException` for an empty range.
    `Comparable` | `getFrom()` {@inheritDoc}
    `Comparable` | `getTo()` {@inheritDoc}
    `String` | `inspect()` {@inheritDoc}
    `boolean` | `isReverse()` Never true for an empty range.
    `boolean` | `remove(Object o)` Always throws `UnsupportedOperationException` for an empty range.
    `Object` | `remove(int index)` Always throws `UnsupportedOperationException` for an empty range.
    `boolean` | `removeAll(Collection c)` Always throws `UnsupportedOperationException` for an empty range.
    `boolean` | `retainAll(Collection c)` Always throws `UnsupportedOperationException` for an empty range.
    `Object` | `set(int index, Object element)` Always throws `UnsupportedOperationException` for an empty range.
    `int` | `size()` Always 0 for an empty range.
    `void` | `step(int step, Closure closure)` Always does nothing for an empty range.
    `List` | `step(int step)` Always returns an empty list for an empty range.
    `String` | `toString()` {@inheritDoc}

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class AbstractList` | `add, add, remove, get, equals, hashCode, indexOf, clear, lastIndexOf, subList, addAll, iterator, set, listIterator, listIterator, remove, toString, contains, isEmpty, size, toArray, toArray, addAll, containsAll, removeAll, retainAll, wait, wait, wait, getClass, notify, notifyAll, size`
    `class AbstractCollection` | `add, remove, toString, clear, contains, isEmpty, size, toArray, toArray, addAll, iterator, containsAll, removeAll, retainAll, wait, wait, wait, equals, hashCode, getClass, notify, notifyAll`

- - ### Field Detail

    - #### protected Comparable at

      The value at which the range originates (may be `null`).

  - ### Constructor Detail

    - #### public EmptyRange(Comparable at)

      Creates a new EmptyRange.

      Parameters:
        `at` - the value at which the range starts (may be `null`).

  - ### Method Detail

    - #### public boolean add(Object o)

      Always throws `UnsupportedOperationException` for an empty range.

      throws:
        UnsupportedOperationException always

    - #### public boolean addAll(int index, Collection c)

      Always throws `UnsupportedOperationException` for an empty range.

      throws:
        UnsupportedOperationException

    - #### public boolean addAll(Collection c)

      Always throws `UnsupportedOperationException` for an empty range.

      throws:
        UnsupportedOperationException

    - #### public boolean containsWithinBounds(Object o)

      Never true for an empty range.

      Returns:
        `false`

    - #### public Object get(int index)

      Always throws `IndexOutOfBoundsException` for an empty range.

      throws:
        IndexOutOfBoundsException always

    - #### public Comparable getFrom()

      {@inheritDoc}

    - #### public Comparable getTo()

      {@inheritDoc}

    - #### public String inspect()

      {@inheritDoc}

    - #### public boolean isReverse()

      Never true for an empty range.

      Returns:
        `false`

    - #### public boolean remove(Object o)

      Always throws `UnsupportedOperationException` for an empty range.

      throws:
        UnsupportedOperationException

    - #### public Object remove(int index)

      Always throws `UnsupportedOperationException` for an empty range.

      throws:
        UnsupportedOperationException

    - #### public boolean removeAll(Collection c)

      Always throws `UnsupportedOperationException` for an empty range.

      throws:
        UnsupportedOperationException

    - #### public boolean retainAll(Collection c)

      Always throws `UnsupportedOperationException` for an empty range.

      throws:
        UnsupportedOperationException

    - #### public Object set(int index, Object element)

      Always throws `UnsupportedOperationException` for an empty range.

      throws:
        UnsupportedOperationException

    - #### public int size()

      Always 0 for an empty range.

      Returns:
        0

    - #### public void step(int step, Closure closure)

      Always does nothing for an empty range.

    - #### public List step(int step)

      Always returns an empty list for an empty range.

    - #### public String toString()

      {@inheritDoc}